Subject: Re: linux-next: Tree for Apr 18 [ call-trace: drm | x86 | smp | rcu related? ]

From: Rik van Riel <[email-masked]>
Date: Fri, 19 Apr 2013 15:19:03 -0400

On 04/19/2013 02:53 PM, Sedat Dilek wrote:
> On Fri, Apr 19, 2013 at 6:43 PM, Sedat Dilek <[email-masked]> wrote:
>
>> I tried to switch from SLUB to SLAB...
>>
>> ...and also from VIRT_CPU_ACCOUNTING_GEN to TICK_CPU_ACCOUNTING.
>>
>> 2x NOPE.
>>
>> In one kernel-build I saw in my console...
>>
>>       semop(1): encountered an error: Identifier removed
>>
>> ...if this says sth. to you.
>>
> [ CC folks from below thread ]
>
> I have found a thread called "Re: ipc,sem: sysv semaphore scalability"
> on LKML with a screenshot that shows the same call-trace.
> I followed it a bit.
> There is a patch in [3]... unconfirmed.
>
> Comments on the rcu read-lock and "sem_lock()" vs "sem_unlock()" from Linus.
>
> What's the status of this discussion?
>
> - Sedat -
>
> [1] https://lkml.org/lkml/2013/3/30/6
> [2] http://i.imgur.com/uk6gmq1.jpg
> [3] https://lkml.org/lkml/2013/3/31/12
> [4] https://lkml.org/lkml/2013/3/31/77
>
I am at a conference right now, but when I get
back I will check linux-next vs. all the fixes from
the semaphore scalability email thread.

I will gather up the not-yet-in-linux-next fixes,
and will send them to Andrew for inclusion.

No guarantee that those fixes are related to
your problem, of course :)